﻿namespace BPA.MES.Base.Application
{
    /// <summary>
    /// 名    称 ：工单枚举  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/7/21 15:04:24 
    /// 描    述 ：  
    /// </summary>
    public enum WorkOrderStatusEnum
    {
        /// <summary>
        /// 未知
        /// </summary>
        Unkown = -1,
        /// <summary>
        /// 草稿
        /// </summary>
        Draft = 0,
        /// <summary>
        /// 已下发
        /// </summary>
        Issued = 1,
        /// <summary>
        /// 已接受
        /// </summary>
        Receive = 2,
        /// <summary>
        /// 已启动
        /// </summary>
        Started = 3,
        /// <summary>
        /// 已完成
        /// </summary>
        Completed = 4,
        /// <summary>
        /// 废弃
        /// </summary>
        Obsolete = 5,
    }
}
