﻿namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：工艺路线  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/17 17:01:26 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("craft_Steps")]
    public class Pztj_CraftStepsEntity : DEntityBase
    {
        /// <summary>
        /// 工艺Id
        /// </summary>
        public string CraftId { get; set; }
        /// <summary>
        /// 步骤
        /// </summary>
        public int Step { get; set; }
        /// <summary>
        /// 功能描述
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Description { get; set; }
        /// <summary>
        /// 设备产品功能Id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string DeviceProductFunctionId { get; set; }
        /// <summary>
        /// 功能参数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType= "longtext")]
        public string Params { get; set; }
    }
}
