﻿namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：工单基础信息  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/18 17:54:43 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("work_info")]
    public class Pztj_WorkInfoEntity : DEntityBase
    {
        /// <summary>
        /// 工单名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Name { get; set; }
        /// <summary>
        /// 产线Id
        /// </summary>
        public string LineId { get; set; }
        /// <summary>
        /// 成品Id
        /// </summary>
        public string FinalId { get; set; }
        /// <summary>
        /// 指定设备Id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string DeviceId { get; set; }
        /// <summary>
        /// 产量
        /// </summary>
        public string Number { get;set; }
        /// <summary>
        /// 批次号
        /// </summary>
        public string BatchId { get; set; }
        /// <summary>
        /// 工单当前状态
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public WorkOrderStatusEnum? Status { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 生产计划Id
        /// </summary>
        public string PlanId { get; set; }
    }
}
