﻿namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/10 10:03:15 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("work_info_craftstep_record")]
    public class WorkInfoCraftstepRecordEntity : DEntityBase
    {
        /// <summary>
        /// 工单Id
        /// </summary>
        public string WorkId { get; set; }
        /// <summary>
        /// 设备Id
        /// </summary>
        public string DeviceId { get; set; }
        /// <summary>
        /// 工艺Id
        /// </summary>
        public string CraftId { get; set; }
        /// <summary>
        /// 成品Id
        /// </summary>
        public string FinalId { get; set; }
        /// <summary>
        /// 工艺名称
        /// </summary>
        public string CraftName { get; set; }
        /// <summary>
        /// 工艺步骤Id
        /// </summary>
        public string CraftstepId { get; set; }
        /// <summary>
        /// 步骤
        /// </summary>
        public int Step { get; set; }
        /// <summary>
        /// 工艺步骤名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string CraftstepName { get; set; }
        /// <summary>
        /// 工艺参数
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string CraftstepParms { get; set; }
        /// <summary>
        /// 设备类型功能Id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string DeviceProductFunctionId { get; set; }
        /// <summary>
        /// 设备类型功能名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string DeviceProductFunctionName { get; set; }
        /// <summary>
        /// 执行状态
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public RecipeStatus Status { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? UpdateTime{ get;set;}
        /// <summary>
        /// 第几锅
        /// </summary>
        public string PotNum { get; set; }
    }
}
