﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：成品工艺  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/17 17:01:26 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("final_craft_steps")]
    public class FinalCraftStepsEntity : DEntityBase
    {
        /// <summary>
        /// 成品Id
        /// </summary>
        public string FinalId { get; set; }
        /// <summary>
        /// 产线工序Id
        /// </summary>
        public string ProductLineStepsId { get; set; }
        /// <summary>
        /// 产线Id
        /// </summary>
        public string LineId { get; set; }
        /// <summary>
        /// 步骤
        /// </summary>
        public int Step { get; set; }
        /// <summary>
        /// 功能描述
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Description { get; set; }
        /// <summary>
        /// 设备产品功能Id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string DeviceProductFunctionId { get; set; }
        /// <summary>
        /// 设备Id
        /// </summary>
        public string DeviceId { get; set; }
        /// <summary>
        /// 功能参数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "longtext")]
        public string Params { get; set; }
    }
}
