﻿namespace BPA.MES.Base.Application
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2022/11/18 15:37:07 
    /// 描    述 ：  
    /// </summary>
    public class Topics
    {
        /// <summary>
        /// 设备控制主题，前端通过消息控制设备动作（客户端/前端 --> 设备）
        /// </summary>
        public const string DeviceControl = "BPAProline/Client/Device/Control";

        /// <summary>
        /// 工单推送主题，中控将创建的工单推送到对应的产线 （中控系统 --> 产线）
        /// </summary>
        public const string WorkOrderPush = "BPAPROLINE/MES/SERVER/WORKORDER/DOWN";

        /// <summary>
        /// 前端展示数据推送,数据服务将设备数据推送到前端界面展示 （数据中心服务 --> 客户端/前端）
        /// </summary>
        public const string DeviceDataPush = "BPAProline/DataServer/Client/Data";
        /// <summary>
        /// 工单状态（信息系统 --> 中控系统）
        /// </summary>
        public const string STWorkState = "BPAProline/CentralControl/Proline/WorkState";

        /// <summary>
        /// 任务下发成功 回调
        /// </summary>
        public const string ExecuteReplyTopic = "robotjob.report";

        /// <summary>
        /// 上下料回调
        /// </summary>
        public const string LoadAndUnloadTopic = "rollerjob.upstreamrequest";


    }
}
