﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/7 9:59:47 
    /// 描    述 ：  
    /// </summary>
    public class AgvLineDto
    {
        /// <summary>
        /// 自定义编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 线路名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 开始点位
        /// </summary>
        public string StartPointId { get; set; }
        /// <summary>
        /// 结束点位
        /// </summary>
        public string EndPointId { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        public string Description { get; set; }
    }
    /// <summary>
    /// 增加
    /// </summary>
    public class AgvLineAddInput : AgvLineDto
    {

    }
    /// <summary>
    /// 修改
    /// </summary>
    public class AgvLineUpdateInput : AgvLineDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 刪除
    /// </summary>
    public class AgvLineDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 普通查询条件
    /// </summary>
    public class AgvLineQueryInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页查询条件
    /// </summary>
    public class AgvLineQueryPageInput : RequestPage
    {

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class AgvLineOutput : AgvLineDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        //下面增加多的数据
    }
}