﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/7 10:00:01 
    /// 描    述 ：  
    /// </summary>
    public class AgvPointDto
    {
        /// <summary>
        /// 点位名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 点位编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 增加
    /// </summary>
    public class AgvPointAddInput : AgvPointDto
    {

    }
    /// <summary>
    /// 修改
    /// </summary>
    public class AgvPointUpdateInput : AgvPointDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 刪除
    /// </summary>
    public class AgvPointDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 普通查询条件
    /// </summary>
    public class AgvPointQueryInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页查询条件
    /// </summary>
    public class AgvPointQueryPageInput : RequestPage
    {

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class AgvPointOutput : AgvPointDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        //下面增加多的数据
    }
}