﻿using BPA.MES.Base.Application.Services.ReportService.Dtos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.MES.Base.Application.Services.ReportService
{
    public interface IReportService
    {
        /// <summary>
        /// 获取产品生产统计
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<SqlSugarPagedList<ProductOutDto>> GetProductReport(ProductInputDto input);

        /// <summary>
        /// 获取物料统计
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<SqlSugarPagedList<MaterialsOutDto>> GetMaterialsReport(MaterialsInputDto inputDto);
    }
}
