﻿namespace  BPA.MES.Base.Application
{
    /// <summary>
    /// 名    称 ：[菜单模块树]输出 
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/1/4 16:14:43 
    /// 描    述 ：  
    /// </summary>
    public class ModuleTreeOutput
    {
        /// <summary>
        /// 模块编号
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 类别 1:菜单，2:视图，3:功能
        /// </summary>
        public int Category { get; set; }

        /// <summary>
        /// 菜单打开方式 0:框架内嵌，1:新开页面
        /// </summary>
        public int OpenType { get; set; }

        /// <summary>
        /// 父级编号
        /// </summary>
        public string ParentId { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { set; get; }

        /// <summary>
        /// 图标
        /// </summary>
        public string Icon { set; get; }

        /// <summary>
        /// 路由
        /// </summary>
        public string Url { set; get; }
        /// <summary>
        /// 路径
        /// </summary>
        public string Component { get; set; }
        /// <summary>
        /// 排序码
        /// </summary>
        public int Sort { set; get; }
        /// <summary>
        /// 启用禁用
        /// </summary>
        public bool IsDisabled { get; set; }

        /// <summary>
        /// 子集
        /// </summary>
        public List<ModuleTreeOutput> Children { get; set; }
    }
}
