﻿namespace BPA.MES.Base.Application
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/31 15:58:31 
    /// 描    述 ：  
    /// </summary>
    public class RoleModuleDto
    {
        /// <summary>
        /// 角色Id
        /// </summary>
        public string RoleId { get; set; }
        /// <summary>
        /// 模块Id
        /// </summary>
        public string ModuleId { get; set; }
        /// <summary>
        /// 父级Id
        /// </summary>
        public string ParentId { get; set; }
    }
    public class RoleModuleAddInput
    {
       public List<RoleModuleDto> ModuleIds { get; set; }
        /// <summary>
        /// 角色Id
        /// </summary>
        public string RoleId { get; set; }
    }
    public class RoleModuleOutput
    {
        /// <summary>
        /// 角色Id
        /// </summary>
        public string RoleId { get; set; }
        /// <summary>
        /// 模块Id
        /// </summary>
        public string ModuleId { get; set; }
    }
    public class RoleModuleQuery
    {
        /// <summary>
        /// 角色Id
        /// </summary>
        public string RoleId { get; set; }
    }
}
