﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：工单产量  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/20 14:29:25 
    /// 描    述 ：  
    /// </summary>
    public class WorkInfoItemDto
    {
        /// <summary>
        /// 工单名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 产量
        /// </summary>
        public string Number { get; set; }
    } 
    /// <summary>
      /// 增加
      /// </summary>
    public class WorkInfoItemAddInput : WorkInfoItemDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class WorkInfoItemUpdateInput : WorkInfoItemDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class WorkInfoItemDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class WorkInfoItemQueryPageInput : RequestPage
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class WorkInfoItemOutput : WorkInfoItemDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
}