/**
 * @name 代理的配置
 * @see 在生产环境 代理是无法生效的，所以这里没有生产环境的配置
 * @doc https://umijs.org/docs/guides/proxy
 */
export default {
	dev: {
		'/api/': {
			target: 'http://192.168.1.12:5502',
			pathRewrite: {
				'/api': '/api'
			},
			changeOrigin: true,
		}
	},
	pre: {
		'/api/': {
		  target: 'http://localhost:5000',
		  changeOrigin: true,
		  secure: false,
		  pathRewrite: {
			'/api': ''
		  },
		},
	  },
};
