

import { request } from '@umijs/max';



export default {
    //创建
    Add(parms: MaterialsTypes.Info) {
        return request('/api/materialsinfo/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

    //删除
    
    Del(parms: MaterialsTypes.MaterialsInfoDelInput) {
        return request(`/api/materialsinfo/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

    //修改
    Update(parms: MaterialsTypes.Info) {
        return request('/api/materialsinfo/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },


    //获取列表
    List() {
        return request('/api/materialsinfo/list', {
            method: 'GET',
        });
    },

    // 下拉列表
    selectlist(){
        return request ('/api/materialsinfo/selectlist' ,{
            method:'GET'
        })
    },



    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: MaterialsTypes.Page) {
        return request('/api/materialsinfo/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    }
}

