﻿namespace BPA.MES.Base.Application
{
    /// <summary>
    /// 名    称 ：产线设备类型 
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/24 16:56:13 
    /// 描    述 ：  
    /// </summary>
    public enum DeviceTypeEnum
    {
        /// <summary>
        /// 锅
        /// </summary>
        Pot,
        /// <summary>
        /// 釜
        /// </summary>
        Kettle
    }
    /// <summary>
    /// 配料状态
    /// </summary>
    public enum EBatchingStatus
    {
        None = 0,
        等待配料 = 1,
        正在配料 = 2,
        配料完成 = 3
    }
    /// <summary>
    /// 工艺状态
    /// </summary>
    public enum RecipeStatus
    {
        None = 0,
        等待执行 = 1,
        正在执行 = 2,
        执行完成 = 3
    }
}
