﻿using BPA.MES.Base.Application.Const;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 成品配方
    /// </summary>
    [SugarTable("final_material")]
    public class FinalMaterialEntity : DEntityBase
    {
        /// <summary>
        /// 物料Id                                                                                                                      
        /// </summary>
        public string MaterialCode { get; set; }
        /// <summary>
        /// 操作方式
        /// </summary>
        public ModeEnum Mode { get; set; }
        /// <summary>
        /// 配方Id
        /// </summary>
        public string FinalId { get; set; }
        /// <summary>
        /// 重量
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Weight { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Describe { get; set; }
        /// <summary>
        /// 误差
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string ErrorWeight { get; set; }
    }
}
