﻿namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：操作日志  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/7/20 15:10:59 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("oper_log")]
    public class OperLogEntity : DEntityBase
    {
        /// <summary>
        /// 操作标题
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Context { get; set; }
        /// <summary>
        /// 返回值
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Result { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? CreateTime { get; set; }
    }
}
