﻿namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：配方物料信息
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/3/2 13:58:19 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("recipes_material")]
    public class RecipeMaterialEntity : DEntityBase
    {
        /// <summary>
        /// 物料Id                                                                                                                      
        /// </summary>
        public string MaterialId { get; set; }  
        /// <summary>
        /// 配方Id
        /// </summary>
        public string RecipesId { get; set; }
        /// <summary>
        /// 重量
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Weight { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Describe { get; set; }
        /// <summary>
        /// 误差
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string ErrorWeight { get; set; }
    }
}
