﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.MES.Base.Application.Entitys.KepData
{
    /// <summary>
    /// 大屏报警限制
    /// </summary>
    [SugarTable("DataVAlarmLimit")]
    public class DataVAlarmLimit: DEntityBase
    {
        /// <summary>
        /// 限制名称
        /// </summary>
        public string Name { get; set; }

        public string Code { get; set; }

        /// <summary>
        /// 最小限制值
        /// </summary>
        public decimal MinLimitValue { get; set; }

        /// <summary>
        /// 最大限制值
        /// </summary>
        public decimal MaxLimitValue { get; set; }

    }
}
