﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：设备产品参数  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/31 18:02:57 
    /// 描    述 ：  
    /// </summary>
    public interface IDeviceProductParmService
    {
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(DeviceProductParmAddInput input);
        /// <summary>
        /// 删除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(DeviceProductParmDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(DeviceProductParmUpdateInput input);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<DeviceProductParmOutput>> List(DeviceProductParmQueryInput input);
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<DeviceProductParmOutput>> PagedList(DeviceProductParmQueryPageInput input);
        /// <summary>
        /// 下拉列表
        /// </summary>
        /// <returns></returns>
        Task<dynamic> SelectList();
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<DeviceProductParmOutput> Detail(string Id);
    }
}
