﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：码表类型 
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/9 9:56:00 
    /// 描    述 ：  
    /// </summary>
    public class DictTypeDto
    {  
        /// <summary>
       /// 名称
       /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
    }
    /// <summary>
    /// 增加
    /// </summary>
    public class DictTypeAddInput : DictTypeDto
    {

    }
    /// <summary>
    /// 修改
    /// </summary>
    public class DictTypeUpdateInput : DictTypeDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 刪除
    /// </summary>
    public class DictTypeDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 普通查询条件
    /// </summary>
    public class DictTypeQueryInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页查询条件
    /// </summary>
    public class DictTypeQueryPageInput : RequestPage
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class DictTypeOutput : DictTypeDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        //下面增加多的数据
    }
}
