﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.MES.Base.Application.Services
{
    public class GodownDto
    {
        /// <summary>
        /// 料仓名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 料仓编码
        /// </summary>
        public string Code { get; set; }

    }
    /// <summary>
    /// 增加
    /// </summary>
    public class GodownAddInput : GodownDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class GodownUpdateInput : GodownDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class GodownDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 不分页
    /// </summary>
    public class GodownQueryInput
    {

    }
    /// <summary>
    /// 分页
    /// </summary>
    public class GodownQueryPageInput : RequestPage
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class GodownOutput : GodownDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }

    }
}
