﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/21 10:20:55 
    /// 描    述 ：  
    /// </summary>
    public class ProgramLogDto
    {
        /// <summary>
        /// 日志类型
        /// </summary>
        public string LogType { get; set; }

        /// <summary>
        /// 日志消息
        /// </summary>
        public string MsgInfo { get; set; }
        /// <summary>
        /// 日期
        /// </summary>
        public string Date { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        public string Time { get; set; }
        /// <summary>
        /// 日志消息
        /// </summary>
        public DateTime CreateDate { get; set; }
    } 
    /// <summary>
      /// 增加
      /// </summary>
    public class ProgramLogAddInput : ProgramLogDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class ProgramLogUpdateInput : ProgramLogDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class ProgramLogDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 不分页
    /// </summary>
    public class ProgramLogQueryInput
    {

    }
    /// <summary>
    /// 分页
    /// </summary>
    public class ProgramLogQueryPageInput : RequestPage
    {
        /// <summary>
        /// 日志类型
        /// </summary>
        public string LogType { get; set; }

        /// <summary>
        /// 日志消息
        /// </summary>
        public string MsgInfo { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime? StartTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime? EndTime { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class ProgramLogOutput : ProgramLogDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }

    }
}
