﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/8/21 10:20:37 
    /// 描    述 ：  
    /// </summary>
    public class ProcessDto
    {
        /// <summary>
        /// 工艺流程名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 流程类型
        /// </summary>
        public string ProcessType { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Des { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get;set; }

    }
    /// <summary>
    /// 增加
    /// </summary>
    public class ProcessAddInput : ProcessDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class ProcessUpdateInput : ProcessDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class ProcessDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 不分页
    /// </summary>
    public class ProcessQueryInput
    {
       
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class ProcessQueryPageInput : RequestPage
    {
        /// <summary>
        /// 工艺流程名称
        /// </summary>
        public string Name { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class ProcessOutput : ProcessDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
       
    }
}
