﻿namespace  BPA.MES.Base.Application
{
    /// <summary>
    /// 名    称 ：[角色信息]  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/1/4 9:43:25 
    /// 描    述 ：  
    /// </summary>
    public class RoleInput
    {
        /// <summary>
        /// 角色名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 角色描述
        /// </summary>
        public string Description { get; set; }
    }
    /// <summary>
    /// [角色信息]添加入参
    /// </summary>
    public class RoleAddInput : RoleInput
    {

    }
    /// <summary>
    /// [角色信息]修改入参
    /// </summary>
    public class RoleUpdateInput : RoleInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [角色信息]删除入参
    /// </summary>
    public class RoleDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [角色信息]普通查询入参
    /// </summary>
    public class RoleQueryInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [角色信息]分页查询入参
    /// </summary>
    public class RoleQueryPageInput : RequestPage
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
        /// <summary>
        /// 关键字
        /// </summary>
        public string Keyword { get; set; }
    }
}
