﻿




namespace  BPA.MES.Base.Application
{
    /// <summary>
    /// 名    称 ：个人角色信息
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/1/4 17:46:47 
    /// 描    述 ：  
    /// </summary>
    public class UserRoleCacheDto
    {
        public List<string> AuthorizationCodes { get; set; }
        public List<UserMenu> Menus { get; set; }
    }

/// <summary>
/// 个人菜单信息
/// </summary>
public class UserMenu : ITree<UserMenu>
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 菜单名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 菜单地址
        /// </summary>
       public string Url { get; set; }
        public string Path { get {
                return Url;
            } }
        /// <summary>
        /// 菜单图标
        /// </summary>
        public string Icon { get; set; }
        ///// <summary>
        ///// 菜单子项
        ///// </summary>
        //public List<UserMenu> Children { get; set; }
        /// <summary>
        /// 菜单子项
        /// </summary>
        public List<UserMenu> Routes { get; set; }
        /// <summary>
        /// 父级Id
        /// </summary>
        public string ParentId { get; set; }
        /// <summary>
        /// 分页信息
        /// </summary>
        public string Sort { get; set; }
        /// <summary>
        /// 打开类型
        /// </summary>
        public int OpenType { get; set; }
        /// <summary>
        /// 类别
        /// </summary>
        public int Category { get; set; }
        /// <summary>
        /// 地址
        /// </summary>
        public string Component { get; set; }
    }
    
}
