﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/10 14:19:47 
    /// 描    述 ：  
    /// </summary>
    public class WorkInfoCraftstepRecordDto
    {
        /// <summary>
        /// 工艺Id
        /// </summary>
        public string CraftsId { get; set; }
        /// <summary>
        /// 工艺名称
        /// </summary>
        public string CraftsName { get; set; }
        /// <summary>
        /// 工艺步骤
        /// </summary>
        public string CraftstepId { get; set; }
        /// <summary>
        /// 工艺步骤名称
        /// </summary>
        public string CraftstepName { get; set; }
        /// <summary>
        /// 执行状态
        /// </summary>
        public RecipeStatus Status { get; set; }
        /// <summary>
        /// 更新状态
        /// </summary>
        public DateTime UpdateTime { get; set; }
    } /// <summary>
      /// 增加
      /// </summary>
    public class WorkInfoCraftstepRecordAddInput : WorkInfoCraftstepRecordDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class WorkInfoCraftstepRecordUpdateInput
    {
        /// <summary>
        /// 工单工艺步骤Id
        /// </summary>
        public string WorkCraftstepId { get; set; }
        /// <summary>
        /// 工单Id
        /// </summary>
        public string WorkId { get; set; }
        /// <summary>
        /// 锅数
        /// </summary>
        public string PotNum { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public RecipeStatus Status { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class WorkInfoCraftstepRecordDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class WorkInfoCraftstepRecordQueryPageInput : RequestPage
    {

    }
    /// <summary>
    /// 输出
    /// </summary>
    public class WorkInfoCraftstepRecordOutput : WorkInfoCraftstepRecordDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
}
