import { Settings as LayoutSettings } from '@ant-design/pro-components';

/**
 * @name
 */
const Settings: LayoutSettings & {
  pwa?: boolean;
  logo?: string;
  title?:any
} = {
 
  layout: 'side',
  colorPrimary:'#0960bd',
  contentWidth: 'Fluid',
  fixedHeader: false,
  fixSiderbar: true,
  colorWeak: false,
  title: "中控管理系统",
  menu: {
    locale: false, // 禁用多语言功能
    hideMenuWhenCollapsed:false,
    
  },

  pwa: false,
  splitMenus:false,
  iconfontUrl: '',
};

export default Settings;
