import { request } from '@umijs/max';


export default {
    //创建产线
    Add(parms: productlineInfoTypes.addInput) {
        return request('/api/productline/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //删除
    Del(parms: productlineInfoTypes.delInput) {
        return request(`/api/productline/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //修改
    Update(parms: productlineInfoTypes.updateInput) {
        return request('/api/productline/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //列表
    List() {
        return request('/api/productline/list', {
            method: 'GET',
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: productlineInfoTypes.output) {
        return request('/api/productline/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    // 下拉列表
    selectlist() {
        return request('/api/productline/selectlist', {
            method: 'GET',

        });
    },
    // // 产线添加设备
    // adddevice(parms: productlineInfoTypes.Productlinedevice) {
    //     return request('/api/productline/adddevice', {
    //         method: 'POST',
    //         data: {
    //             ...parms,
    //         }
    //     })
    // },
    // // 产线添加料仓
    // addstock(parms: productlineInfoTypes.Productlinestock) {
    //     return request('/api/productline/addstock', {
    //         method: 'POST',
    //         data: {
    //             ...parms,
    //         }
    //     })
    // },
    // // 产线设备分页
    // devicepagelist(parms: productlineInfoTypes.Productionlinepaging) {
    //     return request('/api/productline/devicepagelist', {
    //         method: 'POST',
    //         data: {
    //             ...parms
    //         }
    //     })
    // },
    // 产线设备列表
    devicelist(parms: productlineInfoTypes.ProductionlineQuery) {
        return request('/api/productline/devicelist', {
            method: 'POST',
            data: {
                ...parms
            }
        })
    },
    // // 产线料仓分页
    // stockpagelist(parms: productlineInfoTypes.Productionlinestockpaging) {
    //     return request('/api/productline/stockpagelist', {
    //         method: 'POST',
    //         data: {
    //             ...parms
    //         }
    //     })
    // },
    // // 产线删除设备

    // deletedevice(parms: productlineInfoTypes.Productionlinedeletiondevice) {
    //     return request('/api/productline/deletedevice', {
    //         method: 'POST',
    //         data: {
    //             ...parms
    //         }
    //     })
    // },
    // // 产线删除料仓
    // deletestock(parms: productlineInfoTypes.Productionlinedeletstock) {
    //     return request('/api/productline/deletestock', {
    //         method: 'POST',
    //         data: {
    //             ...parms
    //         }
    //     })
    // }
}


