
declare namespace ReportType {

    interface ReportInput {
		productName: string,
        startTime?:string,
        endTime?:string,
		pageIndex:number,
		pageSize:number
        
	}
    // 产品统计
	interface ProductReport {
		productId: string,
		productName: string,
		count: number,
	}

	 // 原料统计
	 interface MaterialReport {
		materialId: string,
		materialName: string,
		count: number,
	}
}

