
declare namespace UnitTypes {
    //物料单位分页查询请求参数
    type UnitPageParams = {
        keyWord: string,
        sortName: string,
        sortByAsc?: boolean,
        pageIndex: number,
        pageSize: number
    }

    //物料单位
    type UnitItem = {
        name: string,
        id?: string
    }

    //添加物料单位请求参数
    type UnitTransformationParams = {
        materialId: string,
        unitPreId: string,
        unitNexId: string,
        ratio: number,
        id?: string
    }
}